use memmap::*;

// TODO: 打开文件，并将文件映射到内存
pub fn mmap_mut_file(file_path: &str) -> Result<Mmap, std::io::Error> {
    let file = std::fs::OpenOptions::new().read(true).open(file_path)?;

    unsafe {
        MmapOptions::new()
        .map(&file)
            .map_err(|e| std::io::Error::new(std::io::ErrorKind::Other, e.to_string()))
    }
}
